events

Upgraded MT from 2.661 to 3.14

Just finished the upgrade for Movable Type from version 2.661 to 3.14. Had some temporary problems with the upgrade in the beginning. The script mt-upgrade30.cgi just gave a server error whenever it ran so the upgrade was not possible. The solution for that was, I had to copy the MT 3.14 files into the old directory structure on a local hard disk and after deleting the whole MT directory on the web server, I copied the whole local directory to the server. Basically, doing the copy & replace of the old 2.661 files on my PC instead of the server. After that, running mt-upgrade30.cgi and mtupgrade31.cgi was fine. So the moral... backup before you upgrade..